<html devsite><head>
    <title>Бюллетень по безопасности Pixel и Nexus – октябрь 2017 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p><em>Опубликовано 2 октября 2017 г. | Обновлено 3 октября 2017 г.</em></p>

<p>В этом бюллетене содержится информация об уязвимостях в защите и об улучшениях функциональных возможностей <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">поддерживаемых устройств Pixel и Nexus</a> (устройства Google). Все проблемы, перечисленные здесь и в <a href="/security/bulletin/2017-10-01">бюллетене по безопасности Android</a> за октябрь 2017 года, устранены в исправлении от 5 октября 2017 года или более новом.
Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Справочном центре</a>.</p>

<p>Поддерживаемые устройства Google получат обновление системы безопасности 2017-10-05. Мы рекомендуем всем пользователям установить перечисленные здесь обновления.</p>

<p class="note"><strong>Примечание.</strong> Образы встроенного ПО для устройств Google находятся на <a href="https://developers.google.com/android/nexus/images">сайте для разработчиков</a>.</p>

<h2 id="announcements">Объявления</h2>
<ul>
  <li>Помимо исправлений уязвимостей, описанных в <a href="/security/bulletin/2017-10-01">бюллетене по безопасности Android</a> за октябрь 2017 года, обновления для устройств Pixel и Nexus содержат также исправления проблем, перечисленных ниже. Мы сообщили партнерам об этих проблемах по крайней мере месяц назад. Они могут включить их исправления в свои обновления безопасности.
  </li>
  <li>Благодарности теперь перечисляются на странице <a href="/security/overview/acknowledgements.html">Благодарности отдела безопасности Android</a>.</li>
</ul>

<h2 id="patches">Обновления системы безопасности</h2>
Уязвимости сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица с CVE, ссылками, <a href="#type">типом</a>, <a href="/security/overview/updates-resources.html#severity">уровнем серьезности</a>, а также версиями AOSP (при наличии).
Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.<p></p>

<h3 id="framework">Framework</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-0807</td>
    <td>A-35056974<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2</td>
  </tr>
  <tr>
    <td>CVE-2017-0808</td>
    <td><a href="https://android.googlesource.com/platform/libcore/+/809681f310663288e83587089abb7715c68f6924">A-62301183</a> [<a href="https://android.googlesource.com/platform/libcore/+/100a8006a7baab1bb62820eb62577c0b0849fbc3">2</a>]</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
</tbody></table>

<h3 id="media-framework">Media Framework</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-0813</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/7fa3f552a6f34ed05c15e64ea30b8eed53f77a41">A-36531046</a></td>
    <td>ОО</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-0814</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/tremolo/+/eeb4e45d5683f88488c083ecf142dc89bc3f0b47">A-62800140</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
  </tr>
  <tr>
    <td>CVE-2017-0817</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/d834160d9759f1098df692b34e6eeb548f9e317b">A-63522430</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-0818</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/frameworks/av/+/d07f5c14e811951ff9b411ceb84e7288e0d04aaf">A-63581671</a></td>
    <td>NSI</td>
    <td>NSI</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-0819</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/libhevc/+/87fb7909c49e6a4510ba86ace1ffc83459c7e1b9">A-63045918</a></td>
    <td>NSI</td>
    <td>NSI</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-0820</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/frameworks/av/+/8a3a2f6ea7defe1a81bb32b3c9f3537f84749b9d">A-62187433</a></td>
    <td>NSI</td>
    <td>NSI</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
  </tr>
</tbody></table>

<h3 id="system">Система</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-0822</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/c574568aaede7f652432deb7707f20ae54bbdf9a">A-63787722</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>6.0.1, 7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0823</td>
    <td><a href="https://android.googlesource.com/platform/hardware/ril/+/cd5f15f588a5d27e99ba12f057245bfe507f8c42">A-37896655</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2</td>
  </tr>
</tbody></table>

<h3 id="broadcom-components">Компоненты Broadcom</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-0824</td>
    <td>A-37622847<a href="#asterisk">*</a><br />
        B-V2017063001</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер Wi-Fi</td>
  </tr>
  <tr>
    <td>CVE-2017-0825</td>
    <td>A-37305633<a href="#asterisk">*</a><br />
        B-V2017063002</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Драйвер Wi-Fi</td>
  </tr>
</tbody></table>

<h3 id="htc-components">Компоненты HTC</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-0826</td>
    <td>A-34949781<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Загрузчик</td>
  </tr>
</tbody></table>

<h3 id="huawei-components">Компоненты Huawei</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-0828</td>
    <td>A-34622855<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Загрузчик</td>
  </tr>
</tbody></table>

<h3 id="kernel-components">Компоненты ядра</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-7187</td>
    <td>A-63666227<br />
        <a href="https://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git/commit/?h=4.11/scsi-fixes&id=bf33f87dd04c371ea33feb821b60d63d754e3124">
Upstream kernel</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>SCSI-драйвер</td>
  </tr>
</tbody></table>

<h3 id="motorola-components">Компоненты Motorola</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-0829</td>
    <td>A-62345044<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Загрузчик</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Компоненты Qualcomm</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-9686</td>
    <td>A-62827928<br />
        <a href="https://www.codeaurora.org/gitweb/quic/la/?p=kernel/msm-3.18.git;a=commit;h=de875dd095d3ec0906c77518d28f793e6c69a9da">
QC-CR#1115359</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер SPS</td>
  </tr>
  <tr>
    <td>CVE-2017-11050</td>
    <td>A-62085265<br />
        <a href="https://source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=725674586f5bc009ef5175d29eb0fd677e0ef1f2">
QC-CR#2064785</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11067</td>
    <td>A-62058746<a href="#asterisk">*</a><br />
        QC-CR#2062012</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11057</td>
    <td>A-37949660<a href="#asterisk">*</a><br />
        QC-CR#2059812</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Камера</td>
  </tr>
  <tr>
    <td>CVE-2017-11056</td>
    <td>A-37893116<a href="#asterisk">*</a><br />
        QC-CR#2060504</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер шифрования</td>
  </tr>
  <tr>
    <td>CVE-2017-11046</td>
    <td>A-37623773<a href="#asterisk">*</a><br />
        QC-CR#2059656</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Аудиодрайвер</td>
  </tr>
  <tr>
    <td>CVE-2017-11059</td>
    <td>A-37284397<a href="#asterisk">*</a><br />
        QC-CR#2057375</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер шифрования</td>
  </tr>
  <tr>
    <td>CVE-2017-9706</td>
    <td>A-34170483<a href="#asterisk">*</a><br />
        QC-CR#2030399</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Видеодрайвер</td>
  </tr>
  <tr>
    <td>CVE-2017-11048</td>
    <td>A-37093119<a href="#asterisk">*</a><br />
        QC-CR#2052691</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Видеодрайвер</td>
  </tr>
  <tr>
    <td>CVE-2017-9697</td>
    <td>A-63868628<br />
        <a href="https://www.codeaurora.org/gitweb/quic/la/?p=kernel/msm-4.4.git;a=commit;h=7e45e3a6c1f6dd46d71fb6824a7cf702d2e79225">
QC-CR#2032672</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер процессора</td>
  </tr>
  <tr>
    <td>CVE-2017-11051</td>
    <td>A-62456806<br />
        <a href="https://source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=c8f263f0e3b0b6cba38fae9b2330d77f802c51d8">
QC-CR#2061755</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-9715</td>
    <td>A-36730104<a href="#asterisk">*</a><br />
        QC-CR#2054958<br />
        QC-CR#2057034</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11061</td>
    <td>A-36816726<a href="#asterisk">*</a><br />
        QC-CR#2054693<br />
        QC-CR#2059701</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11060</td>
    <td>A-36817548<a href="#asterisk">*</a><br />
        QC-CR#2058447<br />
        QC-CR#2054770</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-9717</td>
    <td>A-36817053<a href="#asterisk">*</a><br />
        QC-CR#2051450</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11052</td>
    <td>A-37687303<a href="#asterisk">*</a><br />
        QC-CR#2061688</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11054</td>
    <td>A-37713609<a href="#asterisk">*</a><br />
        QC-CR#2061251</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11062</td>
    <td>A-37720349<a href="#asterisk">*</a><br />
        QC-CR#2058448</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11055</td>
    <td>A-37721426<a href="#asterisk">*</a><br />
        QC-CR#2061241</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11064</td>
    <td>A-36815952<a href="#asterisk">*</a><br />
        QC-CR#2054770<br />
        QC-CR#2058447 QC-CR#2066628<br />
        QC-CR#2087785</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-9687</td>
    <td>A-62827190<br />
        <a href="https://www.codeaurora.org/gitweb/quic/la/?p=kernel/msm-4.4.git;a=commit;h=8f1a77f5da53edd2b5a1c42ddd766712a90109d6">
QC-CR#2016076</a></td>
    <td>ПП</td>
    <td>Низкий</td>
    <td>Модем</td>
  </tr>
  <tr>
    <td>CVE-2017-11063</td>
    <td>A-36716469<a href="#asterisk">*</a><br />
        QC-CR#2053027</td>
    <td>ОО</td>
    <td>Низкий</td>
    <td>Драйвер камеры</td>
  </tr>
</tbody></table>

<h2 id="functional-patches">Обновления функциональных возможностей</h2>
<p>В этом месяце их нет.</p>

<h2 id="questions">Часто задаваемые вопросы</h2>
<p>В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.</p>

<p><strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong></p>

<p>В исправлении от 5 октября 2017 года или более новом устранены все проблемы, связанные с обновлением 2017-10-05. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Справочном центре</a>.</p>

<p id="type">
<strong>2. Что означают сокращения в столбце <em>Тип</em>?</strong></p>

<p>В этом столбце указан тип уязвимости по следующей классификации:<em></em></p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Сокращение</th>
   <th>Описание</th>
  </tr>
  <tr>
   <td>УВК</td>
   <td>Удаленное выполнение кода</td>
  </tr>
  <tr>
   <td>ПП</td>
   <td>Повышение привилегий</td>
  </tr>
  <tr>
   <td>РИ</td>
   <td>Раскрытие информации</td>
  </tr>
  <tr>
   <td>ОО</td>
   <td>Отказ в обслуживании</td>
  </tr>
  <tr>
   <td>Н/Д</td>
   <td>Классификация недоступна</td>
  </tr>
</tbody></table>
<p><strong>3. На что указывают записи в столбце <em>Ссылки</em>?</strong></p>

<p>В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:</p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Ссылочный номер Broadcom</td>
  </tr>
</tbody></table>

<p id="asterisk"><strong>4. Что означает символ * рядом с идентификатором ошибки Android в столбце <em>Ссылки</em>?</strong></p>

<p>Символ * означает, что исправление для уязвимости не опубликовано.<em></em> Необходимое обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.</p>

<p id="split">
<strong>5. Почему теперь одни уязвимости описываются в этом бюллетене, а другие – в бюллетенях по безопасности Android?</strong>
</p>
<p>
В бюллетене по безопасности Android описаны уязвимости, которые необходимо устранить в последнем обновлении системы безопасности для устройств Android.
Решать дополнительные проблемы, перечисленные здесь, для этого не требуется.
</p>

<h2 id="versions">Версии</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>Версия</th>
   <th>Дата</th>
   <th>Примечания</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2 октября 2017 г.</td>
   <td>Бюллетень опубликован.</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>3 октября 2017 г.</td>
   <td>Добавлены ссылки на AOSP.</td>
  </tr>
</tbody></table>

</body></html>